%define	major 3
%define libname	%mklibname svncpp %{major}
%define develname %mklibname svncpp -d

Summary:	A cross-platform GUI for the Subversion concurrent versioning system
Name:		rapidsvn
Version:	0.12.1
Release:	%mkrel 3
License:	GPLv2+
Group:		Development/Tools
URL:		http://rapidsvn.tigris.org
Source0:	http://www.rapidsvn.org/download/release/%{version}/%{name}-%{version}.tar.gz
Source1:	rapidsvn_logo.png
Patch1:		rapidsvn-0.12.0-linkage_fix.patch
BuildRequires:	apache-devel >= 2.0.54
BuildRequires:	doxygen
BuildRequires:	subversion-devel >= 1.2
BuildRequires:	subversion >= 1.2
BuildRequires:	libtool >= 1.4.2
BuildRequires:	wxgtku2.8-devel
BuildRequires:	libxslt-proc
BuildRequires:	docbook-style-xsl
BuildRequires:	neon-devel >= 0.27
BuildRequires:	imagemagick
BuildRequires:	libcppunit-devel
Requires:	subversion

%description
RapidSVN is a platform independent GUI client for the Subversion
revision system written in C++ using the wxWindows framework.

%package -n %{libname}
Summary:	RapidSVN shared SvnCpp C++ API libraries
Group:		System/Libraries

%description -n %{libname}
RapidSVN is a platform independent GUI client for the Subversion
revision system written in C++ using the wxWindows framework.

This package contains shared SvnCpp C++ API libraries for
RapidSVN.

%package -n %{develname}
Summary:	RapidSVN SvnCpp C++ API development libraries
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	libsvncpp-devel = %{version}-%{release}

%description -n %{develname}
As part of the RapidSVN effort it became clear that it would make
the code easier to update and manage if the Subversion client C
API were wrapped in C++. This is where SvnCpp comes from. Right
now it has the following aspects of the C API have been
abstracted: authentication, logging, status, notification, and
properties. SvnCpp should provide an object-oriented programming
interface to any project that uses C++ or a SWIG-compatible
language like Python or Java.

%prep
%setup -qn %{name}-%{version}
%patch1 -p1

cp %{SOURCE1} rapidsvn_logo.png

%build
autoreconf -vfi

export CFLAGS="%{optflags} -fno-strict-aliasing"
export CXXFLAGS=$CFLAGS

%configure2_5x \
    --enable-shared \
    --disable-static \
    --with-svn-include=%{_includedir} \
    --with-svn-lib=%{_libdir} \
    --with-xsltproc=%{_bindir}/xsltproc \
    --with-apr-config=%{_bindir}/apr-1-config \
    --with-apu-config=%{_bindir}/apu-1-config

%make

%install
%makeinstall_std

find %{buildroot} -name "*.la" -delete

# Mandriva Icons
install -d %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps

convert rapidsvn_logo.png -resize 16x16 %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
convert rapidsvn_logo.png -resize 32x32 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert rapidsvn_logo.png -resize 48x48 %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=RapidSVN
Comment=%{summary}
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Development;RevisionControl;
EOF

#%{__mv} doc/svncpp/html .

%find_lang %{name}

%files -f %{name}.lang
#%doc html AUTHORS ChangeLog NEWS README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_includedir}/svncpp/
%{_libdir}/*.so


%changelog
* Tue Dec 02 2014 ofaurax <ofaurax> 0.12.1-3.mga4
+ Revision: 800258
- Update rapidsvn with current cauldron

* Sun Jan 13 2013 umeabot <umeabot> 0.12.0-8.mga3
+ Revision: 380182
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 21 2012 malo <malo> 0.12.0-7.mga3
+ Revision: 309000
- update RPM group

* Thu Jan 19 2012 fwang <fwang> 0.12.0-6.mga2
+ Revision: 198407
- drop unused patch str fmt
- drop .la file

* Fri Dec 16 2011 wally <wally> 0.12.0-5.mga2
+ Revision: 182776
- wxGTK2.8-devel BR was renamed to wxgtk2.8-devel

  + ahmad <ahmad>
    - Rebuild against wxgtk2.8 with enabled catch_segvs

* Mon Mar 07 2011 mikala <mikala> 0.12.0-3.mga1
+ Revision: 66097
- Drop BuildRoot
- Remove mdk macros
- imported package rapidsvn

